libreadline 8.1-GCCcore-11.2.0

There is a newer version of libreadline

The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are typed in. Both Emacs and vi editing modes are available. The Readline library includes additional functions to maintain a list of previously-entered command lines, to recall and perhaps reedit those lines, and perform csh-like history expansion on previous commands.

Accessing libreadline 8.1-GCCcore-11.2.0

To load the module for libreadline 8.1-GCCcore-11.2.0 please use this command on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs):

module load libreadline/8.1-GCCcore-11.2.0

BEAR Apps Version

2020b

More Information

For more information visit the libreadline website.

Dependencies

This version of libreadline has a direct dependency on: GCCcore/11.2.0 ncurses/6.2-GCCcore-11.2.0

Required By

This version of libreadline is a direct dependent of: Lua/5.4.3-GCCcore-11.2.0 MPB/1.11.1-foss-2021b OpenFOAM (OpenCFD Ltd)/v2206-foss-2021b Perl/5.34.0-GCCcore-11.2.0 PostgreSQL/13.4-GCCcore-11.2.0 Python/3.9.6-GCCcore-11.2.0-bare Python/2.7.18-GCCcore-11.2.0-bare Python/3.9.6-GCCcore-11.2.0 R/4.1.2-foss-2021b R/4.2.0-foss-2021b SPAdes/3.15.3-GCC-11.2.0 SQLite/3.36-GCCcore-11.2.0

Other Versions

These versions of libreadline are available on the BEAR systems (BlueBEAR, BEARCloud VMs, and CaStLeS VMs). These will be retained in accordance with our Applications Support and Retention Policy.

Last modified on 25th May 2022